Firefox 5.1.6 / Chrome 2016.4.4
  * Ruleset fixes
  * Fix bug in Chromium, Firefox to limit FQDN

Firefox 5.1.5 / Chrome 2016.3.23
  * Ruleset fixes
  * Improve coverage tests
  * Add trivialize-rules tool and trivialized rulesets
  * Remove checker as submodule & add to mainline repo

Firefox 5.1.4 / Chrome 2016.2.23
  * Fixes for Firefox Dev Edition
  * Chrome: Fix regressions in custom rule functions
  * Firefox: Fix custom ruleset regression

Firefox 5.1.3 / Chrome 2016.2.18
  * Performance & memory usage improvements for Chrome
  * Introduce temporary disable option on Chrome
  * Bugfix: make custom rules disableable
  * Improvements to tests
  * Switch to using JSON to store rulesets

Firefox 5.1.2 / Chrome 2015.12.16
  * Ruleset fixes

Firefox 5.1.1 / Chrome 2015.8.25
  * Ruleset fixes
  * Clean up some unused code that was causing review problems on AMO.

Firefox 5.1.0
  * Signed by AMO so it won't get a warning in Firefox

Firefox 5.0.9
  * Fixed missing translations from 5.0.8

Firefox 5.0.8 / Chrome-2015.8.13
  * Ruleset fixes
  * Restore checkbox icons on Firefox
  * Add a link to the HTTPS Everywhere Atlas

Firefox 5.0.7 / Chrome-2015.7.17
  * Ruleset fixes, in particular disable broken Netflix rule
  * Fix "Add a rule" functionality in Chrome.

Chrome-2015.7.15
  * Fix a broken ruleset that caused Chrome version to fail to rewrite all URLs.

Firefox 5.0.6 / Chrome-2015.7.13
  * Ruleset fixes
  * Move options from "Enable / Disable rules" into icon menu
  * EFF 25th birthday edition!

Firefox 5.0.5 / Chrome-2015.5.28
  * Ruleset fixes
  * Fix ordering of locales to default to English again.

Firefox 5.0.4 / Chrome-2015.5.12
  * Ruleset fixes

Firefox 5.0.3 / Chrome-2015.4.23
  * Ruleset fixes

Firefox 5.0.2 / Chrome-2015.4.7
  * Ruleset fixes

Firefox 5.0.1 / Chrome-2015.3.31            (2015-03-31)
  * Disabled some broken rulesets.
  * Fixed and updated many rulesets.
  * Better null checking in Firefox.
  * Add "Block All HTTP Requests" in Chrome.

Firefox 5.0 / Chrome-2015.3.23              (2015-03-23)
  * First stable 5.0 release
  Versus 4.0.3:
  * Many new rulesets.
  * Improved automated ruleset testing.
  * Many new translations in Firefox version.
  * Support for Firefox electrolysis (aka e10s aka process separation).

Firefox 5.0development.4                    (2015-03-20)
  * Ruleset updates

5.0development.3                            (2015-03-10)
  * Added automated ruleset testing.
  * Disabled many rules that failed ruleset tests.
  * Fix cookie securing so it works for wildcard cookies
    even when a wildcard target host is not present.
  * User rule creation in Chromium is only offered on HTTPS.
  * Enabling and disabling user rules on Chromium works.
  * Candidate for 5.0 series stable release.

5.0development.2                            (2014-12-22)
  * Merged mobile support from 4.0 branch.
  * New translations imported:
    Catalan, Chinese (Taiwan), Croatian (Croatia),
    Estonian, Faroese, French (Canada), Khmer, Malay (Malaysia),
    Portuguese (Brazil), Romanian, Serbian, Sinhala (Sri Lanka),
    Slovak (Slovakia), Slovenian (Slovenia), Thai, Ukrainian
  * Various ruleset fixes.
  * Candidate for a 5.0 series stable release.

5.0development.1                            (2014-11-25)
  * Support for multi-process Firefox (aka electrolysis or e10s).
  * Merge latest rulesets.

Firefox 4.0.3 / Chrome-2015.01.22 (2015-01-22)
  * Ruleset updates.
  * Update SSL Observatory code to match Firefox API changes in hashing.
  * Bring code in line with guidelines for addons.mozilla.org.

4.0.2		  (2014-10-15)
  * Disable SSL 3 to Prevent POODLE attack:
    https://github.com/EFForg/https-everywhere/pull/674
  * NEW: HTTP Nowhere mode. Block all plaintext http
  * Updates to Yahoo APIs, Fastly, VMWare, Netflix, Mashable, LinkedIn ,
  Gitorious, Mozilla, msecnd, Hotmail, Live, Eniro, Steam, Phoronix,
  net-security.org, Flickr, Craigslist, Apache.org, Joomla.org, Samsung,
  Google IMages, Expedia, Akamai, Trip Advisor, Ikea, CEll, Leo.org, Facebook,
  F-Secure, Dropbox, Courage Campaign, Box, Atlassian, Internet Archive,
  localbitcoins.com, SOny, SciVerse, Web.com, Urgan Dictionary, Pornhub,
  Fool.com, ClickBank, MGID, Which?, Microsoft, Barnes and Noble, Royal
  Institute of GB, Wall Street Journal

4.0.1										(2014-09-11)
  * Significant new coverage: Reddit, Quora
  * Fixes include:
    Frontier Networks, Hotmail / Live, Microsoft, Mozilla, Ohio State, Rackspace, SJ.se, Timbo.se
    https://github.com/EFForg/https-everywhere/issues/310
    https://github.com/EFForg/https-everywhere/issues/500
    https://trac.torproject.org/projects/tor/ticket/11402
    https://trac.torproject.org/projects/tor/ticket/11418
    https://trac.torproject.org/projects/tor/ticket/12583
    https://trac.torproject.org/projects/tor/ticket/12104
    https://trac.torproject.org/projects/tor/ticket/9466
    https://github.com/EFForg/https-everywhere/issues/144
  * Enhancements to MCB detection and subsequent ruleset fixes
    https://github.com/EFForg/https-everywhere/issues/529

chrome-2014.8.22							(2014-08-22)
  * Rulesets from 4.0.0
  * German translation

4.0.0										(2014-08-04)
  * Ruleset fixes to wikimedia, stanford-university, joyent, and gaytorrents.
  * Merge Android Firefox branch, so Android now has the same release cycle
  as the stable HTTPS Everywhere branch for Firefox.
  * Remove old unused ContentPolicy code.

5.0development.0                            (2014-07-28)
  * Various rules for new gaming sites:
  https://github.com/EFForg/https-everywhere/pull/387
  * Add exception for flashproxy:
  https://github.com/EFForg/https-everywhere/issues/357
  * Updates to joyent, moevideo, FreeDesktop, Gfycat, Bytemark, tchibo,
  Kantonalbank rules, godaddy, Bing, Pcwelt.de, Gamestar.de, o2-online,
  heise.de, mozdev.org, Wikimedia, Spotify, Stanford-University, various Swiss
  websites, SourceForge, utwente.nl, teamfortress.com, Fastly, mozilla.org,
  AmazonAws, Technology Review, jitsi, googlecode.com, CDT, and other rules.
  * Add Denh.am, justeatuk, owncloud, seanmckaybeck.com, strimoid.pl,
  elkosmasgr, mantisbt, IAPC, ReadTheDocs, tox.im, and other rules.
  * Initialize Convergence's NSS.js with nss library path:
  https://github.com/EFForg/https-everywhere/pull/315
  * Add filter for OCSP and other requests that should be unrewritten:
  https://github.com/EFForg/https-everywhere/pull/332
  * Add testing framework and a few basic extension tests:
  https://github.com/EFForg/https-everywhere/pull/338
  * Fix Chrome redirect loop detection:
  https://github.com/EFForg/https-everywhere/issues/289
  * Fix loading of user rules:
  https://github.com/EFForg/https-everywhere/pull/293
  * Fix SSL Obs. preferences XML parsing bug.
  * Add experimental "HTTP Nowhere" mode (blocks all HTTP requests):
  https://github.com/EFForg/https-everywhere/pull/379

chrome-2014.6.26							(2014-06-25)
  * Ruleset fixes (same as 3.5.3)
  * Fix redirect loop detection for HTTPS to HTTPS redirects (Github #289)
  * Remove item from rule cache when it is disabled by the user

3.5.3										(2014-06-25)
  * Ruleset fixes to Mozilla, PCWorld, MacWorld, Google Books, 4chan blog,
  BuzzFeed, BBC, googlecode, TechDirt, Wikia, Technology Review, Google
  Translate, CDT, Science Direct, Sourceforge
  * Fix rulesets.sqlite path, allowing global installation (Github #255)
  * Revert components/ssl-observatory.js to 3.4.5, possibly fixing crash bug
  (Github #262)
  * Update observatory whitelist

4.0development.17                           (2014-05-23)
  * Re-enable ability to see all rulesets in enable/disable dialog.
  * Fix allowing global installation:
  https://github.com/EFForg/https-everywhere/pull/255
  * Better observatory whitelisting:
  https://github.com/EFForg/https-everywhere/pull/276
  * Add option for SSL obs. revoked cert warnings:
  https://github.com/EFForg/https-everywhere/pull/278
  * Numerous ruleset updates

3.5.1                                       (2014-04-25)
  * Revert https://github.com/EFForg/https-everywhere/pull/134 due to YouTube
  breakage.
  * Re-enable ability to see all rulesets in enable/disable dialog.
  * Added more Debian coverage.
  * Fixes to Doubleclick, Guardian, Heroku, Home Depot, HypeMachine, IMDB,
  Justin.tv, Kikatek, Mozilla, MyFitnessPal, Pinterest, XKCD, Reuters,
  Technet, Tumblr, Wordpress, Yandex, Youtube, Flickr.
  * Fix Australis icon positioning:
  https://github.com/EFForg/https-everywhere/pull/216

chrome-2014.4.25
  * Ruleset fixes (same as 3.5.1)

chrome-2014.4.16
  * Make Chrome build script compatible with Chrome release scripts.
  * Fix disappearing icon: https://github.com/EFForg/https-everywhere/pull/220
  * Fix XKCD images

chrome-2014.4.14.1
  * Revert back to chrome-2014.1.3 because of bug in Chrome release script.

chrome-2014.4.14
  * Add SV localization
  * Add persistent user-generated rules, thanks to Vijay P.:
  https://github.com/EFForg/https-everywhere/pull/60
  * Use onBeforeRedirect for redirect loop detection:
  https://github.com/EFForg/https-everywhere/pull/199
  * Remove unneeded onBeforeSendHeaders listener:
  https://github.com/EFForg/https-everywhere/pull/172
  * Fix host-only cookie bug:
  https://github.com/EFForg/https-everywhere/pull/166
  * Split incognito mode:
  https://github.com/EFForg/https-everywhere/pull/165
  * Cleanup pageAction icon code:
  https://github.com/EFForg/https-everywhere/pull/173
  * Add and modify some rulesets (same as 3.5)

3.5                                         (2014-04-14)
  * Merge all non-ruleset changes from 4.0development.16
  * Merge all new/modified rulesets from 4.0development.16 that are
  in the Alexa Top 1000 using utils/alexa-ruleset-checker.py. For a full list,
  see utils/alexa-logs/07042014.log.

4.0development.16                           (2014-04-14)
  * Restore code that loads custom rule files:
  https://github.com/EFForg/https-everywhere/pull/156
  * Use loadContext interface to get windows associated with requests
  * Reduce annoying logging messages
  * Report cert warning pages to SSL Observatory
  * Remove SSL Observatory observers when disabled
  * Don't set LOAD_REPLACE flag:
  https://github.com/EFForg/https-everywhere/pull/134
  * Add script to merge rulesets in Alexa Top 1M, thanks to Claudio Moretti:
  https://github.com/EFForg/https-everywhere/pull/149
  * 8 new rules
  * 59 modified rules

4.0development.15                           (2014-02-05)
 * Replace the single XML ruleset library with an sqlite database of rulesets
   that are loaded on demand
   - reduces startup time by a factor of 10-20:
      https://trac.torproject.org/projects/tor/ticket/10174
   - reduces RAM usage https://trac.torproject.org/projects/tor/ticket/4804
   - Is scalable: https://trac.torproject.org/projects/tor/ticket/6118
   Further analysis in this thread:
   https://lists.eff.org/pipermail/https-everywhere/2014-January/001919.html
 * Implement a cleanup case to recover from some Observatory UI code bugs that
   would leave the Observatory off incorrectly.
   https://trac.torproject.org/projects/tor/ticket/10728
 * Fix observatory - private browsing mode interaction
   https://trac.torproject.org/projects/tor/ticket/10208
 * Ship 848 new rulesets
 * Update cert whitelist

3.5android.0                                (2014-01-31)
 * First Firefox for Android release! :D
 * Major UI changes for mobile compatibility
 * Android channel update URL set to
   https://www.eff.org/files/https-everywhere-android-update-2048.rdf
 * Updated rulesets: Freenode, Imgur

3.4.5                                       (2014-01-03)
 * Updated license
 * Updated README.md
 * Updated contributors list
 * Fix a performance bug when re-enabling HTTPS-Everywhere from its menu
 * Observatory cert whitelist update
 * Updated rules: Atlassian, Brightcove, MIT, Pidgin, Microsoft, Whonix,
   Skanetrafiken, Stack-Exchange, Stack-Exchange-mixedcontent

chrome-2014.1.3
  * Various ruleset fixes
  * Various performance improvements, thanks to Nick Semenkovich and Jacob
  Hoffman-Andrews!
  * Add LRU caching for rules
  * Refactor out unused code
  * Reload page when rule is disabled
  * Upgrade URI.js
  * Add fi translation

3.4.4tbb                                     (2013-12-06)
 * Pseudorelease, just for Tor Browser Bundle usage
 * Tiny ruleset tweaks (XKCD is back)!
 * Create an about:config setting that overrules mixedcontent ruleset disablement
 
3.4.3                                        (2013-12-03)
 * Fixes: Cloudfront / Amazon MP3 player, Cornell/Arxiv, FlickR,
          AmazonAWS/spiegel.tv 
 * Disable broken: Barns and Noble, Behance, Boards.ie, Elsevier, Kohls,
   OpenDNS, Spin.de, Svenskakyrkan
 * Deprecate the ContentPolicy API, fixing a crash bug
    lurking since Firefox 20:
    https://bugzilla.mozilla.org/show_bug.cgi?id=939180
 *  Fix really silly Observatory UI bug that would leave the Observatory off
    for non-Tor users after they turned it on
 *  Update Observatory blacklist
 *  Bump maxVersion from Firefox 25 to 28.

4.0development.14                             (2013-11-21)
 * Deprecate the ContentPolicy API, fixing a crash bug
    lurking since Firefox 20:
    https://bugzilla.mozilla.org/show_bug.cgi?id=939180
 *  Fix really silly Observatory UI bug that would leave the Observatory off
    for non-Tor users after they turned it on
 *  Ship 438 new rulesets
 *  Update Observatory blacklist

4.0development.13                             (2013-10-04)
  * HTTPS Everywhere builds are now deterministic!
  * Numerous new and updated rules

3.4.2                                         (2013-10-04)
  * HTTPS Everywhere builds are now deterministic!
  * Global memory leak bug fixes
  * Updated rules: Craigslist, Apple.com, Microsoft, CloudFront, UKLocalGov,
    Bing, Cengage
  * New rules from dev: IPTorrents.com, TvTorrents

4.0development.12							  (2013-09-12)
  * Fix clients1.google.com OSCP meltdown
    https://trac.torproject.org/projects/tor/ticket/9713
  * Updated rules: ConnMan, Viddler.com, ISC, GNOME, Dozuki, Thingiverse, Box,
    ComputerWorld, Makerbot, McClatchy Interactive.com, Mozilla, Ohio State
    University, printrbot, Thingiverse, Tradedoubler, XiTi.com, Flameeyes, Open
    Clipart Library, Musopen, CERN, FilZilla, Google Services, Linux Foundation,
    Debian, Python.org, Ardour, Netmarble, Drexel University, Guifi.net,
    net-security.org, University of California, WordPress blogs, Perl.org
  * New rules: Akira.org, AntiPolygraph.org, Banu.com, break.com, Click and
    Pledge.com, DataCoup.com, linux-sunxi.org, Lockbox.com, PSC.edu, University
    of Greifswald, University of Rostock, WIMM.com, ZeusClicks.com,
    gayorrents.net, Addison.com.hk, Auto Ad Manager.com, Blutmagie.de,
    Brixwork.com, HDtracks.com, hostname.sk, iPXE.org, Linn Records.com,
    Navigant Research.com, OpenLDAP.org, Quotes and Sayings.com, Solid-Run.com,
    TU-Dresden.de, Tux.Org, Ultrasurf.us, Zamzar.com, chaox.net, digilinux.ru,
    iNaturalist.org, IUCNredlist.org, jensge.org, Libre Graphics World.org,
    NAB.org, PengPod.com, pythonhosted.org, randombit.net, factorable.net,
    JoeyH.name, Acunetix.com, Alex Cabal.com, Altera.com, Commotionwireless.net,
    CounterMail.com, dotplex.de, Dyne.org, finalrewind.net, Keelog.com,
    Mailinator.com, My Shadow.com, OpenMailBox.org, PwdHash.com, Silent
    Sender.com, Standard Ebooks.com, Tarasic.com.tw, Barracuda.com

4.0development.11                             (2013-08-30)
  * Notify users who have been accidentally updated from stable to dev
    https://trac.torproject.org/projects/tor/ticket/9600
  * Added and updated numerous rules, including Craigslist
  * Fixes toolbar button size
    https://trac.torproject.org/projects/tor/ticket/9511
  * Declare loop variables with var to avoid global memory leaks
  * Updated localizations

3.4.1
  * Fix typo resulting in variable leak in get_prefs(), thanks to Jérémy
    Bobbio

3.4
  * Do not upgrade stable users to the development branch!
  * The previous release moved extension code from the development branch into
    the stable branch, and changed many stable rules

chrome-2013.8.17
  * Urgent bugfix release for 
    https://trac.torproject.org/projects/tor/ticket/9507
    - release from the stable / 3.0 branch, not master
    - don't ship the development ruleset library, it's not ready for prime 
      time yet
    - avoid performance hits from repeatedly re-testing rulesets
    - other possible weirdness

chrome-2013-8.16
  * Includes all fixes from 3.3, 3.3.1, and 4.0development.10
  * This will be the first Chromium release where the bulk of the rules that
    are broken because of mixed content will be disabled by default

4.0development.10
  * Numerous rules added, modified, and deleted
  * Added utils/find_rules.py, python script by Osama Khalid to apply HTTPS
    Everywhere rules to URLs
  * Updated readme to include more dependencies

3.3.2
  * We merged in a bunch of non-ruleset changes from 4.0development.9:
    https://trac.torproject.org/projects/tor/ticket/9480
    (Notable changes from this merge include a rewriting of fetch-source.js,
    improvements to the CSS such that the icon changes color when disabled
    and shows the number of applied rules when active, fixing bugs in
    HTTPSRules.js and ApplicableList.js that led to undefined functions,
    and rewriting makexpi.sh to accept a --fast flag.)
  * The tickets described below were fixed by the merge from 4.0development.9:
    https://trac.torproject.org/projects/tor/ticket/8998
    https://trac.torproject.org/projects/tor/ticket/9374
  * Add a script find_rules.py by Osama Khalid to utils/. It applies HTTPS
  Everywhere rules to URLs.
  * Add merge-rulesets.py from master to utils/.
  * Removed default parameters for a js function that caused breakage
  in older versions of FF.
  * Changed mixed content blocking in FF to be based on the user's active
  content blocking preferences rather than if the FF version is >=23.0.
  * [Zurcher_Katonalbank] Add rule
  * [LegitScript] www now supports SSL
  * [DebianOwnCA] Debian self-signed cert rules
  * [Debian] Update rule for non-self-signed domains
  * [UKLocalGov] Add havering.gov.uk
  * [aeriagames] Use CDN with valid cert
  * [spu.ac.th] Disable (https site not found)
  * Added rules from mishari for Loxinfo, SPU, Silkspan, Settrade,
  Powerbuy, opengarden.com, Naiin, MyHappyOffice, Mirakar,
  MarketingOops, Makewebeasy, m2fjob, LandandHouse, Jaymart,
  Etravelway, Craigslist, Blognone, TrueCorp, dealfish, 3bbwifi,
  thepiratebay, and priceza.
  * [Ubuntu] Add rule for ubuntuforums.org
  * [EuroBillTracker.xml] Add EuroBillTracker rule
  * [wikidot] Exclusion for iframes
  * [StockCharts] Add reason for disabling
  * [9gag] Disable rule for breaking AJAX.
  * [MayFirstPeopleLink] Updated rule
  * [Derpiboo.ru] Add rule
  * [Fedora Project] Split start
  * [Lurkmore.to] Add rule
  * [2ch.so] Add rule
  * [FSF] Added the status and u subdomains
  * [Reddit] Exclude blog
  * [Desk.com] Fix
  * [Cheezburger] Fix
  * Updated debian dependencies in readme
  * [Adtech.de] Add exclusion

3.3.1
  * [Wikimedia] removed mixedcontent

4.0development.9
  * Includes all fixes from 3.3

3.3
  * This major release fixed the following mixed content blocker (MCB) 
    related bugs in time for Firefox 23:
    https://trac.torproject.org/projects/tor/ticket/9196
    https://trac.torproject.org/projects/tor/ticket/8774
    https://trac.torproject.org/projects/tor/ticket/8776
  * In effect, this update disables rulesets that cause mixed content errors
    by default, and adds platform="mixedcontent" to 950 new rules. This is
    necessary to prevent a massive amount of websites from breaking by default
    for our users when Firefox 23 comes out.
  * [Internet Archive] Moved to stable
  * [Linaro] Default off per webmaster request
  * [Applicom] Default off per webmaster request

chrome-2013.7.10
  * In Chrome version, fixed css, "What is this?" link in popup, and added
    favicons to popup (thanks to Jay Weisskopf)
  * Includes all fixes from 3.2.4

3.2.4                                         (2013-07-10)
  * [Yandex] remove maps from exclusions
  * [Amazon Web Services] Add exclusion
    https://trac.torproject.org/projects/tor/ticket/8907
  * [Hotmail / Live] Add exclusion
    https://trac.torproject.org/projects/tor/ticket/9026
  * [Mozilla] Point labs to mozillalabs.org
    https://mail1.eff.org/pipermail/https-everywhere-rules/2013-July/001636.html
  * [Yandex] Exclude ll
  * [Brightcove] Add exclusion
    https://mail1.eff.org/pipermail/https-everywhere-rules/2013-May/001587.html
  * [NYTimes] Add exclusion, disabled
  * [News Corporation] Exclude 2013 images
    https://trac.torproject.org/projects/tor/ticket/9040
  * [imgbox] Fix typo
    https://trac.torproject.org/projects/tor/ticket/8690

3.2.3                                         (2013-06-28)
  * https://trac.torproject.org/projects/tor/query?group=status&milestone=HTTPS-E+3.2.3

chrome-2012.6.4
  * The "factors of 12" chromium beta
  * Various ruleset fixes:
    https://www.eff.org/r.5bSj
    https://trac.torproject.org/projects/tor/ticket/8584
    https://trac.torproject.org/projects/tor/ticket/8571
  * Disable Myspace by default due to mixed content

4.0development.8                              (2013-06-04)
  * Fix broken ruleset dialog in Firefox 22+
    https://trac.torproject.org/projects/tor/ticket/8997
  * The toolbar button changes to indicate active rulesets:
    https://trac.torproject.org/projects/tor/ticket/4886 
  * Ship 31 new rulesets
  * New translations: Japanese and Sinhala
  * Updated translations: Hungarian, Lithuanian, Slovenian
  * Ruleset fixes from 3.2.2:
    https://www.eff.org/r.5bSj
  * Observatory cert whitelist update
  
3.2.2                                         (2013-05-22)
  * Quick turn-around release to unbreak support.apple.com
  * Fixes for a number of other ruleset bugs:
    https://www.eff.org/r.5bSj
  * Incremental observatory cert whitelist update

3.2.1                                         (2013-05-17)
  * Implement XHR outstanding request limits to work around TCP connection
    exhaustion if the SSL Observatory server is slow or down:
    https://trac.torproject.org/projects/tor/ticket/8670
    https://bugzilla.mozilla.org/show_bug.cgi?id=856748
  * Overdue update to the Observatory cert whitelist
  * Other known ruleset fixes: EA, Yandex, Apple
    https://trac.torproject.org/projects/tor/ticket/8584
    https://trac.torproject.org/projects/tor/ticket/8571

4.0development.7                              (2013-05-17)
  * Implement XHR outstanding request limits to work around TCP connection
    exhaustion if the SSL Observatory server is slow or down:
    https://trac.torproject.org/projects/tor/ticket/8670
    https://bugzilla.mozilla.org/show_bug.cgi?id=856748
  * Add a note hinting users how to toggle rulesets (thanks to Pavel Kazakov)
    https://trac.torproject.org/projects/tor/ticket/4967
  * Ship all fixes from 3.2:
    https://www.eff.org/r.b9Qc
  * Other known ruleset fixes: EA, Yandex
    https://trac.torproject.org/projects/tor/ticket/8571
  * Ship 1308 new rulesets!
  * Numerous new and updated translations

chrome-2012.4.30
  * The "May day somewhere" chromium beta
  * Ship all ruleset bugfixes from the Firefox 3.2 release:
    https://www.eff.org/r.b9Qc
  * Flag/disable mixed content rulesets: Apple Support, BBC, Dell support,
    FBI, Wordpress, Zend
    https://www.eff.org/r.1bQt
  * Disable VistaX64
    https://trac.torproject.org/projects/tor/ticket/8801

3.2                                           (2013-04-25)
  * Related trac bugs for this release:
    https://www.eff.org/r.b9Qc
  * New: MoinMoin
  * Fixes: Adobe, Bahn.de, Cloudfront, Dell, Droplr, FBI, Google Maps,
    Joomla, Juno Download, Lenovo, New York Times, SEC, Soundcloud,
    Tweakers.net, Univ Strasbourg, Vkontakte, Zend
  * Disable broken: AirAsia, Netvibes, Newgrounds, Pirate Bay, Russia Today, SVT,
    Wolfram Alpha
  * Maybe fixed: Quantcast/Tumblr:
    https://trac.torproject.org/projects/tor/ticket/8406 (maybe fixed)
  * Sync languages and translations from the master branch.
  * New languages: Finnish, Norwegian (Bokmål), Slovak, Bulgarian.
  * All HTTPS Everywhere users will be now prompted about using the
    SSL Observatory.

chrome-2012.3.7
  * The "cookies uncrumbled" chromium beta
  * Ship all ruleset bugfixes from Firefox 3.1.4
  * Stop securing HTTP (non-S) cookies in weird cases!!!
    https://trac.torproject.org/projects/tor/ticket/7492

4.0development.6                              (2013-03-07)
  * Disabled 26 broken or problematic rulesets
  * Ship all ruleset fixes from 3.1.4
  * Ship 232 new rulesets
  * Numerous ruleset fixes
  * Update cert whitelist

3.1.4                                         (2013-03-07)
  * The circles are stable releasee
  * Fixes:
    AmazonAWS/Atomsforpeace.info, Disqus, Eventbrite, ImageShack.us, MySQL,
    NuGet, NYTimes, Ooyala, Opera, Scientific American, SourceForge,
    University of Southampton, UserVoice, WebType, Zendesk
    https://trac.torproject.org/projects/tor/ticket/8056
    https://trac.torproject.org/projects/tor/ticket/8349
    https://trac.torproject.org/projects/tor/ticket/7690
    https://trac.torproject.org/projects/tor/ticket/8025
    https://trac.torproject.org/projects/tor/ticket/8077
    https://trac.torproject.org/projects/tor/ticket/8199
    https://trac.torproject.org/projects/tor/ticket/8198
  * Disable broken:
    American Public Media (for real this time), Asymmetric Publications, 
    Salsa Labs, Vimeo
    https://trac.torproject.org/projects/tor/ticket/7650
    https://trac.torproject.org/projects/tor/ticket/8280
    https://trac.torproject.org/projects/tor/ticket/7569
  * Update cert whitelist

chrome-2013.1.18
  * "Internet Freedom" chromium beta
  * Import all ruleset fixes from Firefox 3.1.3

4.0development.5                              (2013-1-18)
  * Internet Freedom Day development release
  * Fix the implementation of safeToSecureCookie
    - Get https://trac.torproject.org/projects/tor/ticket/7491 right(er)
    - Fix https://trac.torproject.org/projects/tor/ticket/7855
  * Fix a ruleset processing bug, which would prevent <target host="*.z.com"> 
    from matching x.y.z.com
  * Ship all ruleset fixes from 3.1.2 and 3.1.3
    - Except Etsy, where we're trying to fix rather than disable the ruleset
      https://trac.torproject.org/projects/tor/ticket/7774
  * Ship 354 new rulesets
  * Update cert whitelist
  * Update translations: Korean, Polish, French

3.1.3                                         (2013-1-18)
  * Internet Freedom Day stable bugfix release
  * Fixes: CloudFront/Spotify, AmazonAWS (Amazon MP3s and product images), Libav, 
           Google Maps, UserEcho
    https://trac.torproject.org/projects/tor/ticket/7931
    https://trac.torproject.org/projects/tor/ticket/7888
    https://trac.torproject.org/projects/tor/ticket/7594
    https://trac.torproject.org/projects/tor/ticket/7539
    https://trac.torproject.org/projects/tor/ticket/7698
  * Disable broken: Coursera, EBay, Etsy, OpenOffice, Ping.fm, Pinterest :(
    https://trac.torproject.org/projects/tor/ticket/7336
    https://trac.torproject.org/projects/tor/ticket/7825
    https://trac.torproject.org/projects/tor/ticket/7774
    https://trac.torproject.org/projects/tor/ticket/7695
    https://trac.torproject.org/projects/tor/ticket/7777
    https://trac.torproject.org/projects/tor/ticket/7865
  * Update cert whitelist

3.1.2                                         (2013-1-2)
  * Release 3.1.2, since 3.1.1 was accidentally mis-tagged
  * Fixes for: AmazonAWS/Datawrapper, Cachefly, Cloudfront/C-SPAN, Hetzner.de
               KeyDrive/Snapnames, QT, openDesktop, OpenTTD, WhiskeyMedia
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-December/001432.html
    https://trac.torproject.org/projects/tor/ticket/7608
    https://trac.torproject.org/projects/tor/ticket/7567
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-December/001432.html
    https://trac.torproject.org/projects/tor/ticket/7560
    https://trac.torproject.org/projects/tor/ticket/7796
  * Disable broken: FlossManuals, Pastebin, Poste.it, Ustream, TED, AusGamers
    https://trac.torproject.org/projects/tor/ticket/7731
    https://trac.torproject.org/projects/tor/ticket/7850
    https://trac.torproject.org/projects/tor/ticket/7840
    https://trac.torproject.org/projects/tor/ticket/7548
  * Increase Observatory deployment (65%->85%)
  * Update cert whitelist

chrome-2012.12.17
  * The "overdue bugfixes" chromium beta
  * Ship all ruleset bugfixes from Firefox 3.1 and 3.0.4
  * Additional fixes for: AmazonAWS/Datawrapper, Cachefly, Cloudfront/C-SPAN,
                          Hetzner.de, KeyDrive/Snapnames, QT
  * Additionally disable: Automattic

4.0development.4			     (2012-12-17)
  * Fix nasty bug that prevented Firefox downloads from Mozilla's CDN 
    https://trac.torproject.org/projects/tor/ticket/7717
  * Fix download from qt-project.org
  * Ship 72 new rulesets
  * Include all rulset fixes from 3.1

3.1                                          (2012-12-12)
  * Hacky solution to a very nasty bug in which <securecookie> directives
    would cause cookies to be flagged as secure even if they were set from
    HTTP origins!
    https://trac.torproject.org/projects/tor/ticket/7491
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-November/001397.html
  * Fixes: Akamai, Biomed central, BYU, Cachefly / Topix, DuckDuckGo, Focus.de,
           Fortum, Mashable, Mail.ru, MayFirst/People Link, MIT, Rackspace,
           Salsa Labs, SurveyMonkey, Tumblr
  * Disable: Adtech.de, AllthingsD American Public Media, Dafont, MediaFire,
             Verizon, vk.com, Wired, Conde Nast
  * Observatory-only translations into Hebrew and Croatian
  * Offer the SSL Observatory popup to a larger cohort of users

4.0development.3                             (2012-12-3)
  * Hacky solution to a very nasty bug in which <securecookie> directives
    would cause cookies to be flagged as secure even if they were set from
    HTTP origins!
    https://trac.torproject.org/projects/tor/ticket/7491
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-November/001397.html
  * Ship 245 new rulesets
  * Fixes include: Internet Archive, Rackspace
  * Disable broken: American Public Media, Verizon, Nieuwsblad.be, MyOpenID
  * (Plus fixes and rulesets disabled between 4.0dev2 and 3.0.4)
  * Observatory-only translations: Croatian, Hebrew

3.0.4                                        (2012-11-9)
  * Fixes:
    ACLU, Amazon, Barnes & Noble, CharityNavigator, Cloudfront/Turntable.fm,
    Coursera, itella.fi, posti.fi, Uservoice
    https://trac.torproject.org/projects/tor/ticket/7336
    https://trac.torproject.org/projects/tor/ticket/7273
    https://trac.torproject.org/projects/tor/ticket/7227
  * Disable broken:
    Asterisk, Boston Globe (separated out from NYTimes.com), Extabit, Gawker,
    Google Services (Followers widget), NPR, SF.se, SonyMusic, Statcounter, WebType
    https://trac.torproject.org/projects/tor/ticket/7270
    https://trac.torproject.org/projects/tor/ticket/7243
    https://trac.torproject.org/projects/tor/ticket/7361
    https://trac.torproject.org/projects/tor/ticket/7120
    https://trac.torproject.org/projects/tor/ticket/7278
    https://trac.torproject.org/projects/tor/ticket/7363
    https://trac.torproject.org/projects/tor/ticket/7294
  * No longer cacert: lawblog.de
  * Offer the SSL Observatory popup to a larger cohort of users
  * Update translations: Spanish, Russian, Turkish, Swedish

chrome-2012.10.31
  * The "ghosts and goblins" chromium alpha
  * Work around a nasty bug that was affecting some high-volume Live Youtube streams
    (but not other live YouTube streams)
    https://trac.torproject.org/projects/tor/ticket/7127
  * Other Fixes: 
    AdaCore, Akamai/MTV3 Katsomo, Akamai/HP, Atlassian, Bahn.de, MySQL, NPR, PBS, 
    Phronoix Media/Openbenchmarking, SSRN, Spoki
    https://trac.torproject.org/projects/tor/ticket/7219
    https://trac.torproject.org/projects/tor/ticket/7180
    https://trac.torproject.org/projects/tor/ticket/7135
    https://trac.torproject.org/projects/tor/ticket/7206
    https://trac.torproject.org/projects/tor/ticket/7198
  * Disable broken/buggy:
    CBS/Last.fm, Citibank Australia, Bytename, HP, NIFTY, Microchip, MyOpenID,  NttDocomo
    https://trac.torproject.org/projects/tor/ticket/6587
    https://trac.torproject.org/projects/tor/ticket/7226
    https://trac.torproject.org/projects/tor/ticket/7111
    https://trac.torproject.org/projects/tor/ticket/7161
    https://trac.torproject.org/projects/tor/ticket/7114
    https://trac.torproject.org/projects/tor/ticket/7138
    https://trac.torproject.org/projects/tor/ticket/7107
  
3.0.3                                       (2012-10-29)
  * Work around a nasty bug that was affecting some high-volume Live Youtube streams
    (but not other live YouTube streams)
    https://trac.torproject.org/projects/tor/ticket/7127
  * Other Fixes: 
    AdaCore, Akamai/MTV3 Katsomo, Akamai/HP, Atlassian, Bahn.de, DemocracyNow, MySQL, NuGet,
    PBS, Phronoix Media/Openbenchmarking, SSRN, Spoki
    https://trac.torproject.org/projects/tor/ticket/7219
    https://trac.torproject.org/projects/tor/ticket/7180
    https://trac.torproject.org/projects/tor/ticket/7135
    https://trac.torproject.org/projects/tor/ticket/7206
    https://trac.torproject.org/projects/tor/ticket/7198
  * Disable broken/buggy:
    CBS/Last.fm, Citibank Australia, Bytename, HP, NIFTY, Microchip, MyOpenID,  NttDocomo
    https://trac.torproject.org/projects/tor/ticket/6587
    https://trac.torproject.org/projects/tor/ticket/7226
    https://trac.torproject.org/projects/tor/ticket/7111
    https://trac.torproject.org/projects/tor/ticket/7161
    https://trac.torproject.org/projects/tor/ticket/7114
    https://trac.torproject.org/projects/tor/ticket/7138
    https://trac.torproject.org/projects/tor/ticket/7107
  * Updated translations:
    Greek, Russian, Latvian
  * New translation:
    Turkish
  * Offer the SSL Observatory popup to a larger cohort of users

4.0development.2                            (2012-10-25)
  * Ship 67 new rulesets
  * Fix broken logouts from non-US Google accounts:
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-October/001347.html
  * Other fixes:
    Microsoft (Bing login button), ZeniMax, Ubuntuone, TrueCrypt, Springer,
    Optical Society, IMDB, Facebook, EzineArticles, Broadband Reports, Apache,
    Akamai (exclude Zynga content to prevent breakage of some Zynga games),
    Costco, Atlassian, Akamai/MTV3 Katsomo
  * Disable broken/buggy:
    HP, Bytename, NIFTY, Microchip, NttDocomo
  * Updated translations:
    Greek, Russian, Latvian
  * New translation:
    Turkish

chrome-2012.10.18
  * The "even more perfect" chromium alpha
  * Fixes from the last two Firefox releases: 
    Microsoft (Bing login button), ZeniMax, Ubuntuone, TrueCrypt, Springer,
    Optical Society, IMDB, Facebook, EzineArticles, Broadband Reports, Apache,
    Akamai (exclude Zynga content to prevent breakage of some Zynga games),
    Costco Akamai/SVTplay.se, Bahn.de, European Southern Observatory, IEEE,
    Indeed, Java, Librivox, Pinterest, New York Times, Springer, Vimeo,
    Shannon Health, O'Reilly Media
  * Also fix: DemocracyNow, NuGet
  * Disable: NIFTY

3.0.2                                       (2012-10-16)
  * Some fixes that should have shipped in 3.0.1, but actually didn't:
    European Southern Observatory, Indeed, LibriVox
  * New fixes:
    Microsoft (Bing login button), ZeniMax, Ubuntuone, TrueCrypt, Springer
    (fix / reenable), Optical Society, IMDB, Facebook, EzineArticles,
    Broadband Reports, Apache, Akamai (exclude Zynga content to prevent
    breakage of some Zynga games), Costco

4.0development.1                            (2012-10-11)
  * Merge the 4.0 branch, which ships 884 new rulesets and expands
    hundreds of others

3.0.1 and 4.0development.1:
  * Fixes: adition.com, Akamai/SVTplay.se, Bahn.de, European Southern Observatory, 
    IEEE, Indeed, Java, Librivox, Pinterest, New York Times, Springer, Vimeo, 
    Shannon Health, O'Reilly Media
    https://trac.torproject.org/projects/tor/ticket/7080
    https://mail1.eff.org/pipermail/https-everywhere/2012-October/001583.html
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-October/001339.html
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-October/001343.html
  * Disable broken:  Springer
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-October/001340.html
  * Updated translations: Basque, Hungarian, Traditional Chinese

chrome-2012.10.9
  * The "prepare for liftoff" chromium alpha
  * Add an experimental Spanish translation!
  * Fixes:
     Akamai/CNN, GO.com/ABC, AWS/Amazon Zeitgeist MP3 player, AWS/Spiegel.tv,
     Technology Review, Cloudfront/Tunein, Akamai/Discovery Channel, Beyond
     Security, OCaml, Gentoo, Nokia, Widgetbox.com, Squarespace, 1and1
     Internet, American Physical Society, Baker and Taylor, Barnes and Noble,
     Cloudfront, Trustguard, IEEE, Mozilla, Nrelate, OpenDNS, RFC Editor,
     Symantec, Valve, Zenimax-Media
  * Disable buggy: Web.de, AJC.com, Feross, Bestofmedia, Grooveshark, Gearhog

3.0                                         (2012-10-04)
  * Since version 2.x:
    * 1,455 new active rulesets
    * UI improvements: 
      - right-click to view ruleset source in the config window
      - translate some untranslated menus
      - better icons in a few places (breaking/redirecting rules,
        context button)
    * Numerous improvements to the SSL Observatory internals, including cached
      submissions on hostile networks, better Tor and Convergence integration,
      and a new setting to control self-signed cert submission
    * New translations: Basque, Czech, Danish, French, Greek, Hungarian,
                        Italian, Korean, Malaysian, Polish, Slovak, Turkish,
                        Traditional Chinese
  * Relative to 3.0development.8:
    * Only promote the Decentralized SSL Observatory to 5% of non-Tor users
    * Update the SSL Observatory whitelist of common cert chains
    * Fixes, mostly in the CDN/media playback department: 
             Akamai/CNN, GO.com/ABC, AWS/Amazon Zeitgeist MP3 player,
             AWS/Spiegel.tv, Technology Review, Cloudfront/Tunein,
             Akamai/Discovery Channel, Beyond Security, OCaml, Gentoo,
             Nokia, Widgetbox.com, Squarespace
             https://trac.torproject.org/projects/tor/ticket/4199
             https://trac.torproject.org/projects/tor/ticket/6871
             https://trac.torproject.org/projects/tor/ticket/6992
             https://trac.torproject.org/projects/tor/ticket/7000
             https://trac.torproject.org/projects/tor/ticket/7020
             https://mail1.eff.org/pipermail/https-everywhere-rules/2012-October/001324.html
    * Disable buggy: Web.de, AJC.com, Feross, Bestofmedia
    * Remove a lot of off-by-default rulesets from the code, since they have
      some costs in terms of startup speed and RAM usage

3.0development.8                            (2012-10-03)
  * 3.0 stable release candidate 1
  * Fixes: AOL, 1and1 Internet, American Physical Society, Antispam.de, BBC,
           Baker and Taylor, Barnes and Noble, BitTorrent, CacheFly,
           CheezBurger, Cleverbridge, Cloudfront, Facebook, Trustguard,
           IEEE, Link Plus Catalog, Microsoft, Mozilla, News Corp, Nrelate,
           OpenDNS, PassThePopcorn, Pidgin, Piriform, RFC Editor, Symantec,
           Telegraph, Transmission, Valve, Zenimax-Media,
           kirjoitusalusta.fi, uTorrent
  * Reenable: CodingTeam
  * Disable broken: GrooveShark, Gearhog, Paper.li, Soton.ac.uk, SVT.se
  * Various translation improvements
  * Support a new platform="mixedcontent" attribute
  * Switch to the actual HTTPS Everywhere logo for the context menu button


chrome-2012.9.21
  * Workaround for breakage in Amazon Look Inside the Book (via Cloudfront)
    https://trac.torproject.org/projects/tor/ticket/6848
  * Replace jsURI with URI.js, fixing a number of bugs in the Chrome port
    - https://trac.torproject.org/projects/tor/ticket/6197
    - Also breakage on other random pages like 
      http://venturebeat.com/2012/09/13/how-do-not-track-could-destroy-the-internet-as-you-know-it/
  * Fixes: AOL, Antispam.de, BBC, BitTorrent, Facebook, Gearhog, LinkPlus
    Catalog, Microsoft, Mother Jones, Mozilla, Office.co.uk, OpenDNS,
    PassThePopcorn, Piriform, WhatCD, uTorrent
  * Disable broken: Paper.li, SVT.se, Soton.ac.uk
  * Reenable: Referly
    
chrome-2012.9.10
  * The "just add eleven" chromium alpha
  * Time to test the updating mechanism from direct -> Chrome Web Store
    installs
  * Ruleset changes in addition to those in FF 3.0dev7:
    * Fixes: News Corp, Cheezburger, CacheFly, Cleverbridge, Nrelate,
             Pidgin, Telegraph
    * Improvements: Global Marketing Strategies


3.0development.7                            (2012-09-07)
  * Add a cleanup routine for profiles affected by a 2.2 defaults bug:
    https://mail1.eff.org/pipermail/https-everywhere/2012-August/001511.html
  * Make Decentralized SSL Observatory-Tor interactions saner in the wake of
    Torbutton transitioning to "always on" (we now detect a local Tor instance
    on port 9050 and use it)
    https://trac.torproject.org/projects/tor/ticket/6541
  * Fix some other bugs in the Observatory proxy-wrangling code
  * Disable broken/buggy rulesets: Voxel, Mapquest, Imgur, Justin.tv,
    F-Secure, Valve, SpringFiles, openDesktop, syllabushare, Playboy, FAZ
  * Fixes / Improvements: Eloqua, OpenDNS, Mashable, News Corp, Sony, Yahoo!,
    Examiner.com, FBI, Adtechus, Mozilla, Dreamhost, Lenovo / Thinkpad, Pirate
    Party, Scribd
  * New Czech translation

3.0development.6                            (2012-08-16)
  * Prevent ruleset bugs from crashing the UI
    https://trac.torproject.org/projects/tor/ticket/6280
  * Fix a lack-of-translation bug in the context menu
    https://trac.torproject.org/projects/tor/ticket/6516
    (although coverage will probably be patchy for a while)
  * Add hooks to use our new Firefox internal rewrite API, if the browser
    has it (this should address
      https://trac.torproject.org/projects/tor/ticket/5477
      https://trac.torproject.org/projects/tor/ticket/3190
      )
  * Fixes: OpenStreetMap, Okcupid, Yandex, Valve, Atlantic Media, AWS,
           XDA developers, Tumblr, MetaPress, Mixpanel, VideoLAN, JBoss,
           Yourhosting, Pypi, QT, Imgur, Scientific American,
           Chronicle, ISOC, Wikimedia, Xmission, Tumblr, OpenDNS
           Mobygames, Telegraph Media, Dailymotion, RFC-editor, US gov,
           Discogs, Costco, Brightcove, PirateParty, BrownPaperTickets
  * Improvements: Apple, MIT
  * Disable buggy/broken: ZDNet, Globe and Mail, Malwarebytes, Plenty of Fish,
                          Raymond.CC, Blip.tv, Governo Portugês, adf.ly,
                          McAfee :( :( :(
  * New translations: Italian, Turkish, Traditional Chinese, Korean
  * Numerous updated translations

chrome-2012.8.16
  * The "exponential bifurcation" alpha
  * Change the update URI to the specific one blessed by the Chrome Web Store
    (they tell us that, despite appearances, the request will actually be
    https)

chrome-2012.8.15

  * The "Happiness in the Cloud" Alpha
  * We still suffer from the horrible Appcache bug, so this is still an alpha:
    https://trac.torproject.org/projects/tor/ticket/5585
    https://code.google.com/p/chromium/issues/detail?id=121325
  * Enslave ourselves to the Chrome Web Store, because Google has made it
    very tricky to install .crx files in Chrome version 21
    https://code.google.com/p/chromium/issues/detail?id=133818
    https://code.google.com/p/chromium/issues/detail?id=128748
  * Do a better job of displaying the context menu, especially for error pages:
    https://trac.torproject.org/projects/tor/ticket/6085
    (should be fixed for real this time)
  * Fancier Chrome context menus by Jay Weisskopf
  * Fixes: OpenStreetMap, Okcupid, Yandex, Valve, Atlantic Media, AWS,
           XDA developers, Tumblr, MetaPress, Mixpanel, VideoLAN, JBoss,
           Yourhosting, Pypi, QT, Imgur, Scientific American,
           Chronicle, ISOC, Wikimedia, Xmission, Tumblr, OpenDNS
           Mobygames, Telegraph Media, Dailymotion, RFC-editor, US gov,
           Discogs, Costco, Brightcove, PirateParty, BrownPaperTickets,
  * Improvements: Apple, MIT
  * Disable buggy/broken: ZDNet, Globe and Mail, Malwarebytes, Plenty of Fish,
                          Raymond.CC, Blip.tv, Governo Portugês, adf.ly
                          McAfee :( :( :(

3.0development.5                            (2012-06-26)
  * Fix the enable/disable button in Firefox 15
    https://trac.torproject.org/projects/tor/ticket/6212
  * Fixes: GetFirebug, Gentoo, Ebay, Yandex (extensive), Maxmind, Blogger, HP,
           Jottit
  * Disable broken: Project Syndicate, Alton Towers, Network for Good
    https://trac.torproject.org/projects/tor/ticket/6222
  * The Decentralized SSL Observatory client now saves up some certificates if 
    the network blocks or MITMs attempts to submit them.

chrome-2012.6.21
  * The Autonomous Greenland Beta Release
  * Allow rulesets to be toggled when the page breaks completely
    https://trac.torproject.org/projects/tor/ticket/6085
  * Fixes: Github, Gentoo, HP, Maxmind, Orange
  * Disable broken: Alton Towers, Project Syndicate
  * Only ship 1 new ruleset (we're in a freeze)

3.0development.4                            (2012-06-18)
  * Fix compatibility bug with Firefox 15:
    https://trac.torproject.org/projects/tor/ticket/5893
  * Ship 217 new rulesets (frozen; new rulesets now have to wait until 4.0
    development)
  * Fixes: numerous, including: Boxee, CiteULike, MozillaMessaging, 
           Yandex, Demonoid, Pirate Party, Gentoo, NYTimes, Microsoft, 
           Wikipedia, Lenovo, MyWOT
    https://trac.torproject.org/projects/tor/ticket/5912
    https://trac.torproject.org/projects/tor/ticket/6091
    https://trac.torproject.org/projects/tor/ticket/5703
    https://trac.torproject.org/projects/tor/ticket/5931
    https://trac.torproject.org/projects/tor/ticket/5958
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-June/001189.html
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-June/001190.html
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-May/001186.html
    https://mail1.eff.org/pipermail/https-everywhere/2012-May/001433.html
  * Disable broken: MarketWatch, Disqus, Magento, Lavasoft, 
                    Typepad/Say Media, Thomas Cook, Thomson Reuters clients,
                    Science Daily, BinRev, Ikea, Interpol
    https://trac.torproject.org/projects/tor/ticket/5899
    https://trac.torproject.org/projects/tor/ticket/5496
  
chrome-2012.6.18
  * The Divisible By Six Chromium Beta Release
  * Ship 444 new Rulesets
  * Fixes: numerous, including: Boxee, omgubuntu, Microsoft
    https://trac.torproject.org/projects/tor/ticket/5899
    https://trac.torproject.org/projects/tor/ticket/5703
    https://trac.torproject.org/projects/tor/ticket/5931
    https://trac.torproject.org/projects/tor/ticket/5958
  * Disable broken: Disqus, uTorrent, Thomas Cook, Thomson Reuters clients,
                    Science Daily, Say Media, BinRev, Ikea, Interpol
  * Not fixed:
      The horrible appcache / CSS bug:
          https://trac.torproject.org/projects/tor/ticket/5585
      Occasional extension compatibility glitches:
          https://trac.torproject.org/projects/tor/ticket/5731

3.0development.3                            (2012-05-11)
  * Ship 361 new rulesets
  * Do a better job of disabling CACert rulesets by default on non-CAcert
    platforms
  * Fix for compatibility with some other Firefox extensions:
    https://trac.torproject.org/projects/tor/ticket/5682
  * Fixes: Wordpress stylesheets, USENIX, Mozilla, Opera, Valve, and many
    others
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-April/001105.html
    https://trac.torproject.org/projects/tor/ticket/5831
  * Disable broken: Pandora, Miranda IM, Pastebin.ca
    https://trac.torproject.org/projects/tor/ticket/5804
    https://trac.torproject.org/projects/tor/ticket/5776
  * Testing our new more automated release process

chrome-2012.5.1
  * The May Day Chromium Beta Release
  * Ship 886 new rulesets (thanks mostly to Negres!)
  * Fix two downgrade attacks that might allow attackers to deny HTTPS
    Everywhere protection for cookies on some domains.
    https://trac.torproject.org/projects/tor/ticket/5676
    https://trac.torproject.org/projects/tor/ticket/2199
  * More efficient ruleset storage shrinks the .crx download by a factor of 
    about 4 (thanks fauxfaux)
    https://trac.torproject.org/projects/tor/ticket/5275
  * Disable buggy rulesets: IBM, Scribd, Wunderground, ReadWriteWeb,
    Pastebin.ca 
    https://trac.torproject.org/projects/tor/ticket/5344
    https://trac.torproject.org/projects/tor/ticket/5435
    https://trac.torproject.org/projects/tor/ticket/5630
  * Ruleset fixes: Debian, Kohls, Malwarebytes, Yandex, Wikipedia, Mises.org,
                   OpenDNS, Wizards of the Coast, Lenovo, Barnes and Noble,
                   Pastebin.ca
    https://trac.torproject.org/projects/tor/ticket/5509
    https://trac.torproject.org/projects/tor/ticket/5491
    https://trac.torproject.org/projects/tor/ticket/5303
  * Numerous other improvements, fixes, and exciting new bugs :)


3.0development.2                            (2012-04-26)
  * License change: the tree now includes some code from Convergence, which 
                    is GPL v3+.  Other code remains licensable as GPLv2+
  * Ship 696 new rulesets (!!!), thanks to a lot of amazing work by Negres
  * Fix a downgrade attack that might allow attackers to deny HTTPS
    Everywhere protection for cookies on some domains.
    https://trac.torproject.org/projects/tor/ticket/5676
  * Fix a weird wrong DOM-origin bug that occurred while redirects were in
    progress (this might have security implications, although we are unsure
    if it was exploitable).
    https://trac.torproject.org/projects/tor/ticket/5477
  * Ruleset fixes: Debian, Kohls, Malwarebytes, Yandex, Wikipedia, Mises.org,
                   OpenDNS, Wizards of the Coast, Lenovo, Barnes and Noble
    https://trac.torproject.org/projects/tor/ticket/5509
    https://trac.torproject.org/projects/tor/ticket/5491
    https://trac.torproject.org/projects/tor/ticket/5303
  * Stumble across more horrible security holes in the Verizon website:
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-February/001003.html
  * Disable the Gentoo ruleset on non-CAcert platforms
  * Disable buggy rulesets: IBM, Scribd, Wunderground, ReadWriteWeb :( :( :(
    https://trac.torproject.org/projects/tor/ticket/5344
    https://trac.torproject.org/projects/tor/ticket/5435
    https://trac.torproject.org/projects/tor/ticket/5630
  * Better cohabitation between the Decentralized SSL Observatory and
    Convergence
  * Separate Observatory option to control self-signed cert submission
  * Numerous other ruleset enhancements, fixes, and probably exciting new bugs
    in Negres's ruleset changes
   
3.0development.1                            (2012-03-14)
  * By default, use https://google.co.cctld instead of 
    encrypted.google.com
    https://trac.torproject.org/projects/tor/ticket/5152
  * Add an optional ruleset to use https://www.google.com
    instead of encrypted.google.com, too
  * Add a new context menu in the rulesets list:
    - toggle a ruleset
    - reset it to the default
      https://trac.torproject.org/projects/tor/ticket/3762
    - view the ruleset source
      https://trac.torproject.org/projects/tor/ticket/5237
  * Show the Observatory popup to all users once, not just TorButton users
  * Four new translations: Basque, French, Polish, Slovak
  * Ship 125 new rulesets

chrome-2012.3.14
  * Ship 109 new rulesets since the last Chromium release
  * Add an optional ruleset to search on https://www.google.com
    instead of encrypted.google.com
  * Switch non-US google searches to country sites by default
  * Better chrome context UI 

2.2.3                                     (2012-09-25)
  * Workaround for breakage in Amazon Look Inside the Book (via Cloudfront)
    https://trac.torproject.org/projects/tor/ticket/6848
  * Fix logout for AOL users
  * Other fixes: PassThePopcorn, WhatCD, Antispam.de, RFCeditor,
                 Weatherspark / GoogleMaps
  * Disable broken: SVT.se
    
2.2.1                                     (2012-08-17)
  * Fix a configuration-parsing bug in 2.2 that would
    ignore default_off rules if this was a first install
    https://mail1.eff.org/pipermail/https-everywhere/2012-August/001511.html
  * Add a cleanup routine for profiles affected by that bug.

2.2                                       (2012-08-15)
  * Prevent ruleset bugs from crashing the UI
    https://trac.torproject.org/projects/tor/ticket/6280
  * Fix the enable/disable button in Firefox 14
    https://trac.torproject.org/projects/tor/ticket/6212
  * Fix a nasty bug in the optional "Search www.google.com" ruleset:
    https://gitweb.torproject.org/https-everywhere.git/commitdiff/50ca41a1e189ef8383781f803e51ec7a06688a3b
  * Disable buggy/broken: ZDNet, Globe and Mail, Blip.tv, Governo Portugês,
    Alton Towers, McAfee :( :( :(
  * Fixes: Yandex, Wikipedia, PirateParty, JBoss, Gentoo
  * Hopefully the last 2.x release before 3.0 stable

2.1                                       (2012-06-18)
  * Fix context menu breakage when URIs lack a host
  * Fixes: CiteULike, MozillaMessaging, Yandex, Demonoid, Pirate Party,
           Gentoo, NYTimes, Microsoft, Wikipedia, Lenovo
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-June/001189.html
    https://trac.torproject.org/projects/tor/ticket/6091
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-June/001190.html
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-May/001186.html
    https://mail1.eff.org/pipermail/https-everywhere/2012-May/001433.html
  * Disable broken: MarketWatch, Disqus, Magento, Lavasoft, Project Syndicate,
                    Typepad/Say Media
    https://trac.torproject.org/projects/tor/ticket/5899
    https://trac.torproject.org/projects/tor/ticket/5496

2.0.5                                       (2012-05-16)
  * Rebuild 2.0.4 without a bug in the release scripts that prevented all the
    rulesets from being absent
  
2.0.4                                       (2012-05-16)
  * Fix for compatibility with some other Firefox extensions:
    https://trac.torproject.org/projects/tor/ticket/5682
  * Fixes: Wordpress stylesheets, USENIX, Mozilla, Opera, Indymedia
    https://trac.torproject.org/projects/tor/ticket/5905
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-April/001105.html
  * Disable broken: Pandora, Miranda IM, Pastebin.ca, PaidContent
    https://trac.torproject.org/projects/tor/ticket/5804
    https://trac.torproject.org/projects/tor/ticket/5776


2.0.3                                       (2012-04-26)

  * Fix a downgrade attack that might allow attackers to deny HTTPS
    Everywhere protection for cookies on some domains.
    https://trac.torproject.org/projects/tor/ticket/5676
  * Minor redirection mechanism fixes
  * Fixes: WordPress, Yandex, OpenDNS, Via.me/AWS
  * Improvements: Mozilla
  * Disable broken: ReadWriteWeb

2.0.2                                       (2012-04-19)

  * Fix a weird wrong DOM-origin bug that occurred while redirects were in
    progress (this might have security implications, although we are unsure
    if it was exploitable).
    https://trac.torproject.org/projects/tor/ticket/5477
  * By default, use https://google.co.cctld instead of
    encrypted.google.com
    https://trac.torproject.org/projects/tor/ticket/5152
  * Add an optional ruleset to use https://www.google.com
    instead of encrypted.google.com, too
  * Ruleset fixes: Debian, Kohls, Malwarebytes, Yandex, Wikipedia, Mises.org,
                   OpenDNS, Wizards of the Coast, Lenovo, Barnes and Noble
    https://trac.torproject.org/projects/tor/ticket/5509
    https://trac.torproject.org/projects/tor/ticket/5491
    https://trac.torproject.org/projects/tor/ticket/5303
  * Stumble across more horrible security holes in the Verizon website:
    https://mail1.eff.org/pipermail/https-everywhere-rules/2012-February/001003.html
  * Disable the Gentoo ruleset on non-CAcert platforms
  * Disable buggy rulesets: IBM, Scribd, Wunderground :( :( :(
    https://trac.torproject.org/projects/tor/ticket/5344
    https://trac.torproject.org/projects/tor/ticket/5435
    https://trac.torproject.org/projects/tor/ticket/5630

2.0.1                                       (2012-02-27)
  * 2.0 is now Stable!
  * Fix tiny settings window on some versions of Windows:
    https://trac.torproject.org/projects/tor/ticket/5197
  * Fix drop down menu bug for the non-English versions of the UI
  * Added Farsi and Arabic translations
  * Disable Netflix, which was demonstrating a lot of breakage
  * Improvements: Wikipedia
  * Fixes: Google, Samba
  * Ship 4 new rulesets since 2.0development.6
    (404 new rulesets since 1.2.2!)
  * Check ruleset grammaticity with xmllint/RelaxNG

chrome-2012.2.27
  * Split Google Translate out of the Google APIs rule, and turn it off by
    default on Chrome only:
    Fixes https://trac.torproject.org/projects/tor/ticket/5196
  * Ship 19 new rulesets since last Chromium release 

chrome-2012.2.9
  * make <exclusion pattern> rulesets elements work in the Chrome version
    https://trac.torproject.org/projects/tor/ticket/5042
    (also disable the LinkedIn ruleset)
  * Support for Google Sorry
  * 6 new rulesets

2.0development.6                           (2012-02-08)
  * Fix a nasty UI crash bug on Windows
    https://trac.torproject.org/projects/tor/ticket/5020
  * Ruleset fixes: Google Video, Yandex, LDS
    https://trac.torproject.org/projects/tor/ticket/5026
    https://trac.torproject.org/projects/tor/ticket/5042
  * Disable problematic LinkedIn ruleset
  * An experimental ruleset for the Google "Sorry" page
  * Improved Nederlands translation
  * Ship 6 new rulesets

chrome-2012.02.06{,.01}
  * First "Official" EFF alpha Chrome release
    (Thanks to Mike Perry and Aaron Swartz for leading the porting effort!)
  * Installable on Chrome|Chromium 18+
  * Two point versions, to test the autoupdating mechanism

2.0development.5                           (2012-02-02)
  * Fix some data structure inefficiencies that should reduce RAM consumption
    by 25-75MB (!)
    https://trac.torproject.org/projects/tor/ticket/4804
  * Global enable / disable option
    https://trac.torproject.org/projects/tor/ticket/4060
  * Google Cache is back! :)
  * Ship 126 new rulesets
  * Fixes: Wikipedia, Identi.ca, Verizon, CCC.de, UserScripts, Yandex,
           Hidemyass, Mozilla, Pogo, Google, Google Images, Google Video,
           The Pirate Bay, AK Vorrat, JBoss 
  * Improvements: EFF, Flickr, RedHat, Diaspora, PrivatePaste, KDE,
                  Portugese Govt 
  * Disable broken: NSF.gov, WHO.int, Economist
  * New experimental Yahoo! ruleset (off by default)
  * New translations: Spanish, Nederlands

2.0development.4                           (2011-11-15)
  * The translations actually work
  * Add new translations: Chinese, Russian
  * Ship 37 new rulesets
  * Exclude Userscript paths as an insecure workaround for the Greasemonkey
    and Scriptish instances of this bug:
      https://trac.torproject.org/projects/tor/ticket/3190
  * Fixes: Java.com, Yandex, Wordpress, Wikipedia, Bahn.de, UNSW, Apache,
           DuckDuckGo, Google Images
  * Improvements: Debian, Tumblr, Apple, Facebook, VeriSign, Google Services,
                  Flickr, Youtu.be 
  * Disable broken: Target, OpenUniversity, TV.com, Radio Shack, 
                    Yahoo Mail :( :(,
                    Google Cache coverage in Google Services :( :( :(

2.0development.3                           (2011-10-19)
  * Selectively reenable nsIContentPolicy::shouldLoad()
      Fixes: https://trac.torproject.org/projects/tor/ticket/4194
      Fixes: https://trac.torproject.org/projects/tor/ticket/4149
  * Crazy experimental IOUtils hacks from NoScript
      https://bugzilla.mozilla.org/show_bug.cgi?id=677643#c75
      (Appears to fix
      https://mail1.eff.org/pipermail/https-everywhere/2011-October/001208.html,
      which is probably a general redirection bug)
  * Secure cookies set by JavaScript as well as those set by HTTP
      Fixes: https://trac.torproject.org/projects/tor/ticket/3766
  * Perform initialisation synchronously, reducing races during startup
      Fixes: https://trac.torproject.org/projects/tor/ticket/3533
  * Ship 9 new rulesets
  * Disable: MikeWest
  * Improvements: YouTube, Google Images

2.0development.2                           (2011-10-05)
  * Enable YouTube by default
    (also closes https://trac.torproject.org/projects/tor/ticket/4032)
  * Merge nsIContentPolicy disablement from stable
    (closes https://trac.torproject.org/projects/tor/ticket/3882)
  * Context menu should work on error pages
    (https://trac.torproject.org/projects/tor/ticket/3815)
  * Fix the ASN setting button in the observatory prefs
    (https://trac.torproject.org/projects/tor/ticket/4170)
  * Make the Observatory much more efficient
  * Ship 46 new rulesets
  * Update for new Wikipedia HTTPS deployment
  * Ruleset Fixes and Enhancements: Yandex, Identica, SBB, Polldaddy, XKCD,
    Statcounter, Caltech, UCSD, FlickR, Android
  * Disable broken: LastPass, Avast, EPEAT, Bloglines
  * Improve the state of our translations-in progress
  * Fancy new Python build scripts

2.0development.1                           (2011-09-15)
  * Begin alpha testing for the Decentralized SSL Observatory!
    (currently opt-in, with a popup prompt if you have Tor Button installed)
  * Ship 164 new rulesets
  * Enable Google Maps by default
  * Pending translations: Arabic, Dutch, German, Portugese, Latvian, Russian, 
                          Swedish
  * Fixes: OpenDNS, WordPress, Flickr
  * Expansions & Improvements: Google Services, Twitter, Gowalla, Apple, Bit.ly
                               AdBlock Plus, KLM, Adobe, UCSD, Heroku, Wikipedia
  * Disable broken rulesets: Deviantart, Bandcamp, Securityfocus
  * Improved build scripts

1.2.2                                         (2012-01-09)
  * Google Cache is back!
  * Fixes: Wikipedia, Identi.ca, Verizon, CCC.de, UserScripts,
           Yandex
  * Improvements: EFF
  * Disable broken: NSF.gov, WHO.int

1.2.1                                         (2011-10-15)
  * Google Cache is broken, remove it from GoogleServices :( :( :(
  * Fix for the Google Image Search homepage
  * Exclude help.duckduckgo.com:
    https://trac.torproject.org/projects/tor/ticket/4399
  * Disable Yahoo! Mail:
    https://trac.torproject.org/projects/tor/ticket/4441
  * Installable on Firefox 10

1.2                                          (2011-10-14)
  * Fixes: WordPress, Statcounter, Java, Bahn.de, SICS.se
  * Improvements: use fancy new HTTPS Wikipedia
  * Disable broken: OpenUniversity, TV.com, Random.org, kb.CERT

1.1                                          (2011-10-19)
  * Further tweaks to internals, will hopefully fix a number of weird issues:
      https://trac.torproject.org/projects/tor/ticket/4194
      https://trac.torproject.org/projects/tor/ticket/4149
      https://mail1.eff.org/pipermail/https-everywhere/2011-October/001208.html
  * YouTube is enabled by default!
  * Fixes: Yandex, Statcounter, Polldaddy, SBB.ch
  * Improvements: Facebook+
  * Disable broken: Bloglines, EPEAT

1.0.3                                        (2011-09-26)
  * Mozilla is about to release Firefox 7, the stable branch needs to be
    installable there!
  * Disabling nsIContentPolicy callbacks should fix this crash bug:
      https://trac.torproject.org/projects/tor/ticket/3882
      https://bugzilla.mozilla.org/show_bug.cgi?id=677643
    It /might/ cause us to fail to rewrite requests in obscure corner cases.
    We haven't found any in testing, but vigilance will be required.
  * Support for Google Maps
  * Fixes: WordPress, Lenovo, OpenDNS, Avast, Ripe.net, TV.com, 38.de
  * Disable broken: Seagate

1.0.2                                        (2011-09-20)
  * Major improvements to the Wikipedia ruleset
  * Disable broken/buggy rulesets: DeviantArt, eHow, About.me, Bandcamp, 
    StudiVZ, Securityfocus, BankofAmerica :( :( :(
  * Small fixes: OpenDNS, WordPress, links in the "About" page 
  * Declare incompatibility with Firefox 7 & 8 until Mozilla fixes this:
    https://bugzilla.mozilla.org/show_bug.cgi?id=677643

1.0.1                                        (2011-08-10)
  * Disable some rulesets with partial compatibility issues: Reddit,
    StumbleUpon, Heroku
  * Small Yandex fix
  * Fix/improvement for Google Instant outside the US

1.0.0                                        (2011-08-04)
  * Release 1.0 into the stable branch!
  * Improve toolbar UI for error pages somewhat (it still isn't perfect)
  * Bugfixes: Microsoft, Dropbox, Netflix, MySQL
  * Disable a couple of broken rules

1.0.0development.5:                          (2011-07-13)
  * Ship rulesets as a single "default.rulesets" file, shrinking the .xpi from
    ~370 kB to ~120kB and speeding Firefox startup:
    https://trac.torproject.org/projects/tor/ticket/3404
  * Fix an ephemeral bug where disabled-by-default rules would be briefly
    enabled when first installed
  * Wikipedia shows up in the toolbar/context menu
  * Fixes to netflix & netzpolitik
  * Toolbar/context menu can be opened with left or right click

1.0.0development.4:                          (2011-07-06)
  * Fix a bug with Google Translate
  * Unbreak the Netflix blog
  * Toolbar button now looks OK in Seamonkey
  * Declare compatibility with the next round of Firefox alphas

1.0.0development.3:                          (2011-07-04)
  * Do not show a bizarre popup when people click the HTTPS toolbar button on
    error pages
  * Fix a GoogleServices bug that broke logout from non-US google accounts :(

1.0.0development.2:                          (2011-07-01)
  * Fix bugs that arose when trying to move the toolbar menu icon:
    https://trac.torproject.org/projects/tor/ticket/3497
  * Handle usernames and passwords in URIs more explicitly
    https://trac.torproject.org/projects/tor/ticket/2199
  * By default, move context menu from toolbar to addons bar
  * Ship 22 new rulesets
  * Add support for Google Plus, Accounts and AdWdords 
  * Improvements to Microsoft, Twitter and Gitorious

1.0.0development.1:                          (2011-06-27)
  * Add a context menu to let users toggle rulesets that are/might be
    applicable to the current page (we can now stabilise the dev branch!)
  * Ship 42 new rulesets
  * Support for Google Image Search (except the very first landing page :/)
  * Fixes: Netflix, Plone 
  * Improvements: Google APIs, Google Services, Mediawiki
  * Disable broken rules: OKCupid, Surveymonkey
  * Declare compatibility with recent Seamonkey releases

0.9.9.development.6:
  * Optimistically declare compatibility with Firefoxes up to v 7.*
  * Ship 193 new rulesets
  * Fixes & Improvements: Wikipedia, AmazonAWS, Google Images, Microsoft, 
    Mozilla, Netflix, Google User Content, Twitter, Gitorious, AdBlock Plus, 
    Youtube, he.net, Bitcoin
  * Remove broken rules: Match.com 

0.9.9.development.5:
  * Compatible with Firefox 4.0.1+
  * New ruleset management UI (thanks to katmagic and Stefan Tomanek)
  * Ship 136 new rulesets
  * Fixes: reCAPTCHA, Google Images, Gentoo, Gitorious 
  * Improvements: Bit.ly, Yahoo, Nokia 
  * Disable: WashingtonPost :(, Doubleclick, OpenSSL.org (!) 
  
0.9.9.development.4:
  * Ship 117 new rulesets
  * Fixes: MySQL, GroupOn, country-specific Google news sites, 
  * Improvements: mail.com, WordPress
  * Leave WashingtonPost ruleset on in the hope that it gets fixed soon :/
  * Disable broken rules: HTC, I2P ...

0.9.9.development.3:

  * In the settings dialogue, offer "Reset defaults" instead of "Enable all" 
  * Merge fixes from NoScript that avoid some torbutton bugs
  * Ship 56 new rulesets
  * Numerous tweaks + fixes, including NYTimes and AddThis

0.9.9.development.2:

  * Prevent the preferences window from swallowing the screen on OS X / Windows
  * Stop the StartCom rule from breaking StartCom OCSP/CRLs (which can't be HTTPS) 
  * Attempt to do the same for for CAcert
  * Fixes to: Reddit, Drupal.org
  * Disable some problematic rulesets: Cisco, Opera 
  * Enable: Reddit
  * Ship another 62 rulesets

0.9.9.development.1:

  * The efficient ruleset checking implementation should now hopefully be...
    efficient
  * Ship all the rulesets (!!!)
  * Except the ones that cause cert warnings, which are there but off by default
  * Build scripts attempt to validate rulesets before making a .xpi

0.9.7:
  * Support firefox 5 and 6 betas
  * Numerous improvements and fixes to Google and GoogleServices support
  * Fixes to AmazonAWS
  * Secure j.mp via bit.ly
  * Fix gentoo bugs

0.9.6:
  * Support firefox 4.0.1
  * Unbreak recaptcha
  * Disable google.com/jsapi (which was breaking some embedded maps, though
    that bug *might* have been fixed)

0.9.5:
  * WashingtonPost is broken and seems to be staying that way; disable it :(
  * Replace "Enable All" with "Reset Defaults"
  * Fixes & Improvements to WordPress + Mozilla

0.9.4:
  * Significant performance improvements
  * Disable Cisco by default
  * Fixes & improvements to: NYTimes, WashingtonPost, Cisco, WordPress
  * Support Google Code
  * Disable Google Custom Search Engines (they don't work)
  * Support global installation for OS distributions (thanks dm0)


0.9.3:
  * Significant performance improvements
  * Disable Cisco by default
  * Fixes & improvements to: NYTimes, WashingtonPost, Cisco, WordPress
  * Support Google Code
  * Disable Google Custom Search Engines (they don't work)
  * Support global installation for OS distributions (thanks dm0)

0.9.2:
  * Fix a bug in our redirection loop detection that was causing trouble with 
    some parts of NYTimes, Facebook, and other sites
    (closes: https://trac.torproject.org/projects/tor/ticket/2217)

0.9.1:
  * Unbreak the "all x news articles" links in Google News
  * Exclude nytimes.com/roomfordebate, since it's broken in https.

0.9.0:
  * This is our "Firesheep" release.  It has numerous anti-firesheep
    improvements!
  * Split the stricter parts of the Facebook rule into a "Facebook+" rule.
    It's what's required to protect Facebook from Firesheep and similar cookie
    theft attacks, but it may break apps, because apps.facebook.com currently 
    has the wrong cert.
  * Allow rulesets to specify that the secure flag should be set on some
    cookies even if the site operator failed to do so
  * Ship rules for:
    - Amazon S3 (AWS)
    - Github
    - Bit.ly
    - Dropbox
    - Evernote
    - Cisco
  * Extensive improvements (including secure cookies) in the Twitter and
    Facebook rules
  * Support for full Live / Hotmail encryption
  * Significant performance optimisation decreases CPU load
    Fixes:
    https://trac.torproject.org/projects/tor/ticket/1656
    https://trac.torproject.org/projects/tor/ticket/2194
  * Rearrange our Channel Replacement code!
    Fixes https://trac.torproject.org/projects/tor/ticket/1684
          https://bugzilla.mozilla.org/show_bug.cgi?id=548102
    Thanks to Giorgio Maone and Boris Zbarsky!
  * Add scrollbars if there are a lot of rules present in the Preferences
    dialog (may still be somewhat buggy...)
  * Optimise GoogleServices.xml and support Google code search
  * Patch for future compatibility with Request Policy:
    https://trac.torproject.org/projects/tor/ticket/1574
  * Support for the Firefox 4 API
  * The Amazon rule was causing a lot of glitches; it is now off by default
  * Control log verbosity with an about:config variable
  * Numerous minor rule improvements

0.2.2:
  * Fix a glitch in the Content Policy path that may or may not have been
    responsible for these bugs:
      https://trac.torproject.org/projects/tor/ticket/1700
      https://trac.torproject.org/projects/tor/ticket/1672
      https://trac.torproject.org/projects/tor/ticket/1673
    The patch breaks toolbar search suggestions.  And who knows what else?
  * Don't send some country homepages to https://www.google.com/webhp?hl= ; 
    use https://encrypted.google.com instead
  * Cleanup and refactor the URI replacement and rewriting code.  Should
    hopefully fix https://trac.torproject.org/projects/tor/ticket/1649
  * Add a Google APIs rule
  * Remove some Extremely Nasty code that would delete malformed rulesets (!)
    (it was pasted from Torbutton's cookie handling logic...)
  * Add code.google.com to Google Services
  * The client=firefox* workaround is no longer necessary once we're sending
    non-US users to encrypted.google.com rather than www.google.com
  * Better coverage for GMX, Google services, Twitter
  * Scroogle homepage in HTTPS
  * Add rules for
    - Mail.com logins
    - Microsoft (limited coverage)
  * Fix a nasty Google/Wikipedia bug within 0.2.2.development.{1,2}

0.2.1:
  * Although google said https://www.google.com would continue to work, that
    wasn't absolutely true.
  * The new encrypted.google.com seems to require queries to be #q=thing
    rather than search?q=thing, at least some of the time.  So let's do that.

0.2.0:
  * Work around the fact that Google does not allow client=firefox* HTTPS
    searches from outside the US, by rewriting those URIs
  * Add rules for:
    - Amazon
    - GMX
    - Live.com (Hotmail logins)
    - Meebo
    - the Netherlands Government
    - Wordpress.com
    - Zoho
  * Remove the assumption that non-US searches would always start with an hl=
    language parameter
  * Handle searches to the google.com/firefox script better
  * Remove accidental duplicates of a couple of rules!
  * Bump maxVersion into the future so we're compatible with Firefox alphas
  * Fix more legacy eff.org bugs

0.1.2:
  * Apparently, we are not actually compatible with Firefox 2.0.0.x, so don't
    install with it!
  * Further generalisation of Wikimedia rules
  * Fix bugs in the handling of obscure parts of eff.org and torproject.org
  * A bug in a user rules file should produce an error, rather than causing all
    rules to fail to load

0.1.1:
  * Generalise the Wikipedia rules to other Wikimedia services
  * In preferences window, add a link to instructions for writing one's own
    rules
